HSPECGroupWorker
Date: 2012-07-06

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.application.aquamaps.aquamapsservice.impl.engine.tables
Class HSPECGroupWorker

    java.lang.Object
      java.lang.Thread
          org.gcube.application.aquamaps.aquamapsservice.impl.engine.tables.HSPECGroupWorker

All Implemented Interfaces:
  java.lang.Runnable

    public class HSPECGroupWorker

extends java.lang.Thread

Nested Class Summary

Nested classes/interfaces inherited from class java.lang.Thread
`java.lang.Thread.State, java.lang.Thread.UncaughtExceptionHandler`

Field Summary

Fields inherited from class java.lang.Thread
`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

Constructor Summary
`HSPECGroupWorker(SourceGenerationRequest request)`

Method Summary
`void` | `notifyException(java.lang.Exception e, org.gcube.application.aquamaps.aquamapsservice.impl.engine.tables.Execution exec)`
`void` | `notifyGenerated(java.util.List<Resource> generated)`
`static java.util.List<Resource>` | `registerSources(java.util.List<java.lang.String> toRegister, ResourceType type, AlgorithmType alg, java.lang.String author, java.lang.String description, java.lang.String environment, java.util.List<Resource> sources, java.lang.String titlePattern, java.util.ArrayList<Field> additionalParameters)`
`void` | `release(BatchGeneratorI batch)`
`void` | `run()`

Methods inherited from class java.lang.Thread
`activeCount, checkAccess, countStackFrames, currentThread, destroy, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, stop, suspend, toString, yield`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HSPECGroupWorker

    public HSPECGroupWorker(SourceGenerationRequest request)

Method Detail

### run

    public void run()

  Specified by:
    `run` in interface `java.lang.Runnable`
  Overrides:
    `run` in class `java.lang.Thread`

### registerSources

    public static java.util.List<Resource> registerSources(java.util.List<java.lang.String> toRegister,
                                                           ResourceType type,
                                                           AlgorithmType alg,
                                                           java.lang.String author,
                                                           java.lang.String description,
                                                           java.lang.String environment,
                                                           java.util.List<Resource> sources,
                                                           java.lang.String titlePattern,
                                                           java.util.ArrayList<Field> additionalParameters)
                                                    throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### notifyGenerated

    public void notifyGenerated(java.util.List<Resource> generated)
                         throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### notifyException

    public void notifyException(java.lang.Exception e,
                                org.gcube.application.aquamaps.aquamapsservice.impl.engine.tables.Execution exec)

### release

    public void release(BatchGeneratorI batch)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD